View Issue Details

IDProjectCategoryView StatusLast Update
0020646mantisbtjavascriptpublic2016-06-12 00:42
ReportervboctorAssigned Tocommunity 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020646: Failure to load scripts from "javascript" folder
Description

This happens in Ubuntu environments, where /javascript is aliased to /usr/share/javascript/. This also reproduces on Cloud9 IDE.

See details at:
http://serverfault.com/questions/274254/cannot-access-javascript-folder

In order to avoid this confusing issue. I just we rename the folder to "js".

This bug causes all MantisBT javascript to fail, since scripts fail to load with 404 error.

TagsNo tags attached.

Relationships

has duplicate 0012796 closedatrol 'javascript' subdirect should be renamed 

Activities

vboctor

vboctor

2016-02-28 16:31

manager   ~0052596

Reminder sent to: atrol, dregad

Any thoughts about this issue?

atrol

atrol

2016-02-29 03:03

developer   ~0052598

This is a known Ubuntu bug which has been confirmed. [1]

Unfortunately 0012796 has been set to resolved (I reopened later) and the Ubuntu bug got also closed (meanwhile new again).

There is hardly any chance for a quick fix, so renaming the directory would be an acceptable workaround for it.

[1] https://bugs.launchpad.net/ubuntu/+source/apache2/+bug/791625

dregad

dregad

2016-03-01 11:49

developer   ~0052626

I don't recall how it was implemented in next/mantis-2.0.x branch, but in any case I don't have any objections to rename the folder.

I think this should be backported to 1.2.x though.

atrol

atrol

2016-03-02 02:10

developer   ~0052629

I don't recall how it was implemented in next/mantis-2.0.x branch
has been renamed to "js"
https://github.com/vboctor/mantisbt/tree/master-2.0.x

dregad

dregad

2016-03-21 09:47

developer   ~0052815

PR https://github.com/mantisbt/mantisbt/pull/743

Related Changesets

MantisBT: master 15d60d8f

2016-03-20 23:25:03

luke


Committer: vboctor Details Diff
Rename 'javascript' folder to 'js'

Fixes 0020646
mod - core/html_api.php Diff File

Issue History

Date Modified Username Field Change
2016-02-28 16:31 vboctor New Issue
2016-02-28 16:31 vboctor Status new => assigned
2016-02-28 16:31 vboctor Assigned To => vboctor
2016-02-28 16:31 vboctor Note Added: 0052596
2016-02-29 03:03 atrol Note Added: 0052598
2016-02-29 03:05 atrol Relationship added has duplicate 0012796
2016-03-01 11:49 dregad Note Added: 0052626
2016-03-02 02:10 atrol Note Added: 0052629
2016-03-21 09:47 dregad Note Added: 0052815
2016-03-21 11:13 vboctor Assigned To vboctor => community
2016-03-21 11:20 vboctor Changeset attached => MantisBT master 15d60d8f
2016-03-21 11:20 vboctor Assigned To community => vboctor
2016-03-21 11:20 vboctor Status assigned => resolved
2016-03-21 11:20 vboctor Resolution open => fixed
2016-03-21 11:20 vboctor Fixed in Version => 1.3.0-rc.2
2016-03-21 11:27 vboctor Assigned To vboctor => community
2016-06-12 00:42 vboctor Status resolved => closed